#34 closed enhancement (fixed)

Feature request: Notify alias on plugins (like notify_alias on hosts)

Reported by: bjorn Owned by: jo
Priority: low Milestone: Munin 1.4
Component: master Version: 1.2.4
Severity: normal Keywords: None
Cc: None

Description

Nagios (at least 1.3) refuses to accept service names with special characters in it, e.g. '(%)'. For Nagios to accept notifications from Munin, a corresponding service name must exist in Nagios. Any character may be used in Munin plugins, but this is not the case with Nagios services.

An aliased plugin name from Nagios would solve this issue, like the notify_alias already existing for exactly the same purpuse albeit on host names only.

munin-node must accept a plugin notify_alias and submit this information to Nagios and/or similar systems.

Change History (3)

comment:1 Changed at 2006-06-28T10:46:37+02:00 by Quano

I found a solution for this:
service.graph_title

for example:
df.graph_title Disco

In nagios I have a passive service named Disco (Disk in english).

My only problem (i think is concerned whith this) is that i must put the plugins limits in each node at df munin plugin, in /usr/share/munin/plugins/ Because df.warning and df.critical in server config (/etc/munin/munin.conf)do not work.

comment:2 Changed at 2006-09-03T12:57:18+02:00 by janl

  • Component changed from wiki to server
  • Milestone set to Munin 1.4
  • Priority changed from highest to low
  • Severity changed from blocker to normal
  • Type changed from task to enhancement
  • Version changed from 1.3.1 to 1.2.4

comment:3 Changed at 2006-10-03T10:03:22+02:00 by bjorn

  • Resolution set to fixed
  • Status changed from new to closed

This should've worked the whole time, except that the code had a wrong variable that broke it.

Changeset [1081] has fixed this for 1.3.3rc and later. In the meantime, the diff described may be applied to munin-limits (it worked successfully on my 1.2.3 release).

And yes, the trick described by Quano is another way to work around this.

Note: See TracTickets for help on using tickets.